Arch MeshToShape/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav
{{docnav|[[Arch_SplitMesh|Split Mesh]]|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_Module|Arch]]|IconL=Arch_SplitMesh.svg |IconC=Workbench_Arch.svg |IconR=Arch_SelectNonSolidMeshes.png}}
|[[Arch_SplitMesh|Split Mesh]]
|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]
|[[Arch_Module|Arch]]
|IconL=Arch_SplitMesh.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_SelectNonSolidMeshes.png
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 45: Line 52:
new_obj = Arch.meshToShape(Box)
new_obj = Arch.meshToShape(Box)
}}
}}

{{docnav|[[Arch_SplitMesh|Split Mesh]]|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_Module|Arch]]|IconL=Arch_SplitMesh.svg |IconC=Workbench_Arch.svg |IconR=Arch_SelectNonSolidMeshes.png}}
{{docnav
|[[Arch_SplitMesh|Split Mesh]]
|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]
|[[Arch_Module|Arch]]|IconL=Arch_SplitMesh.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_SelectNonSolidMeshes.png
}}


{{Arch Tools navi}}
{{Arch Tools navi}}

Revision as of 10:02, 21 January 2020

Arch MeshToShape

Ubicación en el Menú
Arquitectura → Utilidades → Malla a forma
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Eliminar forma

Descripción

Esta herramienta convierte un objeto Malla seleccionado en un objeto Forma. Esta herramienta está optimizada para objetos con caras planas (no curvas). La herramienta correspondiente del entorno de pieza podría ser más adecuada para objetos que contienen superficies curvas.

Utilización

  1. Selecciona un objeto malla
  2. Presiona Malla a forma en el menú Arquitectura → Menú utilitarios

Programación

Esta herramienta se puede utilizar en macros y desde la consola de Python por medio de las siguientes funciones:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
Covierte una malla en una forma, juntando las caras coplanares.
import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)